Skip to main content
Infrastructure/Installer
GETInstallerSince 1.0SynchronousAuth Required

GetDeployRegistrations

Retrieve the service registration results for a completed deployment

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • deployIdString

    ID of the deploy session these registrations belong to

    Example: deploy-a1b2c3d4

  • statusString

    Overall registration status for this deployment

    Example: completed

  • itemsList

    Collection of result items

    Example: (nested array)

    • nameString

      Name of the service being registered with the control plane

      Example: postgresql

    • endpointString

      Network endpoint at which the service is accessible

      Example: 192.168.1.10:5432

    • statusString

      Registration status for this service

      Example: registered

    • registeredAtString

      Registered at

      Example: 2026-01-15T08:00:00Z

    • errorString

      Error message if registration failed

      Example: connection timeout

Endpoint

GET/api/v1/installer/deploy/registrations

/api/v1/installer/deploy/registrations

Operation ID

GetDeployRegistrations

Permalink

Request Example

curl -X GET '{host}/api/v1/installer/deploy/registrations' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "deployId": "deploy-a1b2c3d4",
  "status": "completed",
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history